Subject: 24.4.50; C-g often fails in minibuffer under X

From: raman <[email-masked]>
Date: Fri, 18 Apr 2014 09:04:50 -0700

I remember Stefan addressing this a while ago, but it appears to
bite me only when running under X.

Specifically:
When running under X (Ubuntu Precise) and using StumpWM  as the
window manager (neither of those specific bits might be relevant) 
often, if I have a minibuffer completion  up, hitting C-g does
not dismiss the minibuffer, I actually have to switch away from
the minibuffer and type M-x top-level to get emacs back to being normal.